package gecco.communication.messages;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;


/**
 * CoffeeBreakMessage.java
 *
 *
 * Created: Thu Apr 03 11:25:55 2003
 *
 * @author <a href="mailto:m-8028@M-8028"></a>
 * @version
 */

public class CoffeeBreakMessage extends Message {

    private String message;

    public CoffeeBreakMessage (String message){
	this.message = message;
    }

    public String getMessage(){
	return message;
    }

    public void write(DataOutput out) throws IOException{
	out.writeInt(MessageType.CoffeeBreak);
	out.writeUTF(message);
    }

    public static Message read(DataInput in) throws IOException{
	String message = in.readUTF();
	return new CoffeeBreakMessage(message);
    }
    
}// CoffeeBreakMessage
