/***********************************************************************

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
USA.

***********************************************************************/
package gecco.game.dke;

import gecco.server.visibility.Point;

/**
 * RouteLink.java
 *
 *
 * Created: Sun Oct 20 20:32:47 2002
 *
 * @author <a href="mailto:Hans.Sandstrom@fhs.mil.se"> Hans Sandstrm </a>
 * @version
 */

public class RouteLink {

    int routeLinkIndex;
    AutomatonImpl current;
    int up;
    Point mapIndex;

    public RouteLink(AutomatonImpl current, int index, int up, Point mapIndex){
	this.current = current;
	this.routeLinkIndex = index;
	this.up = up;
	this.mapIndex = mapIndex;
    }

    public Point getMapIndex(){
	return mapIndex;
    }

    public AutomatonImpl getCurrentAutomaton(){
	return current;
    }

    public int getUp(){
	return up;
    }

    public int getRouteLinkIndex(){
	return routeLinkIndex;
    }
    
}// RouteLink
