/***********************************************************************

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
USA.

***********************************************************************/

 /**
 * VictoryPoint.java
 *
 *
 * Created: Fri Jun 28 15:02:19 2002
 *
 * @author <a href="mailto:hans.sandstrom@fhs.mil.se">Hans Sandstrm</a>
 * @version
 */

package gecco.game.dke;

import gecco.server.core.*;

public class VictoryPoint extends GameEventPoint {

    public VictoryPoint (){
	super();
    }

    public int getObjectiveFor(){
	return getIntProperty("Objective for");
    }

    public boolean isObjectiveObtained(){
	return (getObjectiveFor() == getOwner())? true: false;
    }

}// VictoryPoint
